<?php
/**
 * Componet for creating Fusion Charts XML source in graphic mode.
 * Can create, modified and deleting assorted Fusion Charts. Charts
 * can display on frontend page by module or content plugin.  
 *
 * @version    1.0.0
 * @author 	   ARTIO s.r.o., http://www.artio.net
 * @package    Charts
 * @copyright  Copyright (C) 2009 ARTIO s.r.o.. All rights reserved.
 * @since      Version 1.0.0
 * 
 */
defined('_JEXEC') or die('Restricted access');
require_once (JPATH_COMPONENT . DS . 'controller.php');
require_once (JPATH_COMPONENT . DS . 'config.php');
require_once (JPATH_COMPONENT . DS . 'helpers' . DS . 'route.php');
require_once (JPATH_COMPONENT . DS . 'helpers' . DS . 'helper.php');
ARTIOFusionChartsHelper::importStyle();
$controller = new ARTIOFusionChartsController();
$task = JRequest::getCmd('task');
$controller->execute($task);
require ('views' . DS . 'footer' . DS . 'index.php');
?>
